#ifndef ELC2_READER_H
#define ELC2_READER_H

#include "utils.h"
#ifndef EZ_APPLICATION_LICENCE_DISABLE

#include "licenceCommon.h"
#include "licenceELC2.h"
#include "SDCard.h"

using namespace std;

namespace Reader
{
  class Licence2 : public LicenceELC2
  {
  public:
    LicenceELC2Info licenceInfo;
    
    Licence2();
    ~Licence2();
    Licence2(LicenceIdentification &licIdentification);

    bool readLicence(LicenceInfoGeneral *licences);
    bool getLicenceInfo(void *ptr);
    void getLicenceItems();

  };
}

#endif
#endif